com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.Jobs

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.Jobs

- Enclosing class:
    ManagerNode

      public static class ManagerNode.Jobs
      extends java.lang.Object

  Manager node job assignments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jobs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAssignTenants()` Get the flag indicating whether tenant jobs should be allowed to run on this manager node.
    `java.util.List<java.lang.String>` | `getExclude()` Get the list of job types to exclude from this manager node.
    `java.util.List<java.lang.String>` | `getInclude()` Get the list of job types to include on this manager node.
    `void` | `setAssignTenants(java.lang.Boolean assignTenants)` Set the flag indicating whether tenant jobs should be allowed to run on this manager node.
    `void` | `setExclude(java.util.List<java.lang.String> exclude)` Set the list of job types to exclude from this manager node.
    `void` | `setInclude(java.util.List<java.lang.String> include)` Set the list of job types to include on this manager node.
    `ManagerNode.Jobs` | `withAssignTenants(java.lang.Boolean assignTenants)` Set the flag indicating whether tenant jobs should be allowed to run on this manager node.
    `ManagerNode.Jobs` | `withExclude(java.util.List<java.lang.String> exclude)` Set the list of job types to exclude from this manager node.
    `ManagerNode.Jobs` | `withExclude(java.lang.String... exclude)` Set the list of job types to exclude from this manager node.
    `ManagerNode.Jobs` | `withInclude(java.util.List<java.lang.String> include)` Set the list of job types to include on this manager node.
    `ManagerNode.Jobs` | `withInclude(java.lang.String... include)` Set the list of job types to include on this manager node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jobs

          public Jobs()

  - ### Method Detail

    - #### getAssignTenants

          public java.lang.Boolean getAssignTenants()

      Get the flag indicating whether tenant jobs should be allowed to run on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether tenant jobs should be allowed to run on this manager node.

    - #### setAssignTenants

          public void setAssignTenants(java.lang.Boolean assignTenants)

      Set the flag indicating whether tenant jobs should be allowed to run on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `assignTenants` - the flag indicating whether tenant jobs should be allowed to run on this manager node.

    - #### withAssignTenants

          public ManagerNode.Jobs withAssignTenants(java.lang.Boolean assignTenants)

      Set the flag indicating whether tenant jobs should be allowed to run on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `assignTenants` - the flag indicating whether tenant jobs should be allowed to run on this manager node.
      Returns:
        the updated Jobs object.

    - #### getExclude

          public java.util.List<java.lang.String> getExclude()

      Get the list of job types to exclude from this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the list of job types to exclude from this manager node.

    - #### setExclude

          public void setExclude(java.util.List<java.lang.String> exclude)

      Set the list of job types to exclude from this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `exclude` - the list of job types to exclude from this manager node.

    - #### withExclude

          public ManagerNode.Jobs withExclude(java.util.List<java.lang.String> exclude)

      Set the list of job types to exclude from this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `exclude` - the list of job types to exclude from this manager node.
      Returns:
        the updated Jobs object.

    - #### withExclude

          public ManagerNode.Jobs withExclude(java.lang.String... exclude)

      Set the list of job types to exclude from this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `exclude` - the list of job types to exclude from this manager node.
      Returns:
        the updated Jobs object.

    - #### getInclude

          public java.util.List<java.lang.String> getInclude()

      Get the list of job types to include on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the list of job types to include on this manager node.

    - #### setInclude

          public void setInclude(java.util.List<java.lang.String> include)

      Set the list of job types to include on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `include` - the list of job types to include on this manager node.

    - #### withInclude

          public ManagerNode.Jobs withInclude(java.util.List<java.lang.String> include)

      Set the list of job types to include on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `include` - the list of job types to include on this manager node.
      Returns:
        the updated Jobs object.

    - #### withInclude

          public ManagerNode.Jobs withInclude(java.lang.String... include)

      Set the list of job types to include on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `include` - the list of job types to include on this manager node.
      Returns:
        the updated Jobs object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.